#!/bin/sh

#######################################################################
####
###
##
#
# Copyrights and license stuff:
#
# Copyright is by me: Lasse Pommerenke <housetier@gmail.com>
# I hereby put this under the GPLv2 license.
#
# DISCLAIMER:
#
# I am not connected to imageshack in a morally debatable way! That is,
# I use their service. However, I do not receive any money from them,
# nor other incentives. I will not benefit if you use this script. I do
# not know anyone at imageshack.
#
# I am not connected to scrot in a morally debatable way either. I just
# use the program. I do not know the programmer of scrot.
#
##
###
####
###
##
#
# This tiny script uses scrot to take a screenshot, then it uses
# Claws Mail to compose a message to image@imageshack.us. All the
# user needs to do is click the send button.
#
# More detailed instructions:
#   - sign up at imageshack
#   - assign your image shack UserID to IMAGESHACK_ID below
#   - make sure you have scrot and sylpheed-claws installed; if you 
#     don't have Claws Mail either install it or edit MAILPROG
#     accordingly; if you don't have scrot, either install it, or 
#     edit the very last line of this script accordingly
#
##
###
####
###
##
# 
# Notes:
# This script is tightly coupled to Claws Mail and scrot. It does
# not do ANY ERROR checking whatsoever!
#
# I have tested this twice and it worked for me. 
#
## 
###
####
###
##
#
# Get Claws Mail and scrot via your distribution's package 
# manager. Example for ubuntu/debian:
#   sudo aptitude install scrot claws-mail
# 
# Claws Mail website: http://www.claws-mail.org/
# scrot website: http://linuxbrit.co.uk/scrot/
# imageshack website: http://imageshack.us/
#
# my email adress: housetier@gmail.com
# my gnupg public key: http://nrrd.de/Lasse_Pommerenke.asc
# <cheap plug>
# my website: http://nrrd.de/
# <cheap plug>
#
##
###
####
#######################################################################

IMAGESHACK_ID="duh, I forgot to sign up at imageshack!"

MAILPROG="claws-mail"
RECIPIENT="image@imageshack.us"

EXT="png"
IMAGE="/tmp/%s.$EXT"
DELAY="5"       # delay in seconds
QUALITY="75"    # quality, default is 75

APP="$MAILPROG --compose $RECIPIENT?subject=$IMAGESHACK_ID --attach $IMAGE"

exec scrot --delay $DELAY --quality $QUALITY --exec "$APP" "$IMAGE"
